App.validationErrPop = Ext.extend(Ext.Panel,{
  initComponent : function(){
            var error = this.validationRes.errors;
            if (!this.popup) {
                this.popup = new Ext.Panel({
                    floating: true,
                    modal: true,
                    id: "calcError",
                    centered: true,
                    styleHtmlContent: true,
                    scroll: 'vertical',
                    html: ''+error+'',
                    dockedItems: [{
                        dock: 'top',
                        xtype: 'toolbar',
                        title: 'Invalid entry'
                    },
                    { 
                      dock: 'bottom',
                      layout: {
                      type: 'hbox'
                    },
                      items:[{
                         xtype: 'spacer'
                      },{
                        xtype: 'button',
                        width: "50%",
                        cls: 'popUpBTN',
                        ui: 'confirm',
                      text: 'OK',
                      handler: function(){
                            popupDialog.popup.popup.hide();
                        }
                      },
                      {
                         xtype: 'spacer'
                      }]

                    }]
                });
            }
            this.popup.show('pop');
        App.validationErrPop.superclass.initComponent.call(this);
  }
});

App.networkErrPop = Ext.extend(Ext.Panel,{
  initComponent : function(){
            var error = this.networkMsg;
            if (!this.popup) {
                this.popup = new Ext.Panel({
                    floating: true,
                    modal: true,
                    centered: true,
                    styleHtmlContent: true,
                    scroll: 'vertical',
                    html: ''+error+'',
                    dockedItems: [{
                        dock: 'top',
                        xtype: 'toolbar',
                        cls: 'mainToolbar',
                        title: 'No Network Connection'
                    },
                    { 
                      dock: 'bottom',
                      layout: {
                      type: 'hbox'
                    },
                      items:[{
                         xtype: 'spacer'
                      },{
                        xtype: 'button',
                        width: "50%",
                        cls: 'popUpBTN',
                        ui: 'confirm',
                      text: 'OK',
                      handler: function(){
                            popupDialog.popup.popup.hide();
                        }
                      },
                      {
                         xtype: 'spacer'                         
                      }]

                    }]
                });
            }
            this.popup.show('pop');
        App.networkErrPop.superclass.initComponent.call(this);
  }
});

App.controllers.Back = Ext.extend(Ext.Controller,{  

  constructor: function(config) {
    
    var me = this;
    App.container.on('cardswitch', function(cardPanel,newCard,oldCard) {
      if(!newCard.backCardId && oldCard){
       newCard.backCardId = oldCard.id;
      }
   
    });       
   
  
    App.controllers.Back.superclass.constructor.call(this, config);
  
  },  

   performHome : function(options){
    
    var me = this;
    var options = options || {};
          


          var homeItemP = App.container.getComponent('homepageP');
          var homeItemL = App.container.getComponent('homepageL');
          var activeItem = App.container.getActiveItem();
          var containerItems = App.container.items.items;
          var activeItemIndex = containerItems.indexOf(activeItem);
   
          if (currentOri == 0) {
              App.container.setActiveItem(homeItemP);
          } else {
              App.container.setActiveItem(homeItemL);
          }
          
          // Iterate backwards over items that aren't the home panels destroying them
          for (var i=activeItemIndex; i>1; i--){
            console.log(containerItems[i].id);
            containerItems[i].destroy();
          }
  },

  performBack : function(options){
    
    var me = this;
    var options = options || {};


    // HACK for allowing back button to hide calc error message

    var hasCalcError = false;

    try {
      if( document.getElementById('calcError').className.indexOf("x-hidden-display") === -1 ) {
        hasCalcError = true;
      }
    }
    catch(err) {
      console.log("Error on HACK for allowing back button to hide calc error message :: " + err);
    }


    if( hasCalcError ) {
      //document.getElementById('calcError').classList.add('x-hidden-display');
      return popupDialog.popup.popup.destroy();
    }
    else {
      
      //Removed animation for the moment. 
      
      /*var backAnimation = {
        direction : 'right',
        type :'slide'

      }; */
      
        //console.log('performBack JOHN :: options.card = ' + options.card + ' options.me = ' + options.me);
      
        if(options.me && typeof options.callback === 'function'){
            options.me.on('deactivate', options.callback);
        }   
      
        
       if(options.scope && typeof options.card === 'object'){
         options.scope.setActiveItem(options.card/*,backAnimation*/);
       }
       
       else if (typeof options.action === 'function'){
         options.action();
       }
       

        
        else if(options.me && options.me.backCardId && options.scope){
          var activeItem = options.scope.getComponent(options.me.backCardId);
          if (App.controllers.Back.myOri !== currentOri && (activeItem.id == "homepageL" || activeItem.id == "homepageP")) {                                
            App.controllers.Back.myOri = currentOri;
            if (currentOri == 0) {
                App.container.setActiveItem(0)
            } else {
                App.container.setActiveItem(1)
            }
          }
          else {
            options.scope.setActiveItem(activeItem/*,backAnimation*/);
          }
        }     
      }

  }


});

App.controllers.Back.myOri = null;
App.controllers.Back.myOriHome = null;


App.controllers.taxCalc = new Ext.Controller({

  advancedBtn: function () {
    
    storeScreen('calcBasic');
    App.container.setActiveItem(App.taxCalc2);

  },


  doneBtn: function(id, callback){


    if(id==="calcAdvanced"){
      storeScreen(id)
    }
    else{
      storeScreen('calcBasic');
      storeScreen('calcAdvanced');
    }
    
    if (typeof callback !== "undefined") {
      submit(callback);
    }
  }

});




var calcData = {};

function storeScreen(id){

    var numbers = Ext.get(id).select('div .x-input-number, div .x-input-checkbox, div .x-input-text');

    for (var i = 0; i < numbers.elements.length; i++) 
    {
        var field = Ext.get(numbers.elements[i].id).dom;

        calcData[field.name] = {};

        if (field.type === "checkbox") {
            calcData[field.name].value = field.checked;
        } else {
            calcData[field.name].value = field.value;
        }

        //console.log(Ext.get(numbers.elements[i].id).dom.name);
        //console.log(Ext.get(numbers.elements[i].id));
        //console.log(numbers.elements[i]);
    }
    //console.log(calcData);
    
  };


function submit(callback){
    
     $fh.act( {
    'act': 'calcTax',
    'req':calcData
    },function(response){
      callback(response);
    });
    
  //   console.log("DATA SENT");
  //   console.log(calcData);
    
  // //callback(calculateTax(calcData));

  // var validateRes = validate(calcData);
  // if (validateRes === true){
  //   callback(calculateTax(calcData));
  // }else{
  //   console.log(validateRes);
  //   console.log("VALIDATION FAILED");
  //   callback(validate(calcData))
  
  // }

};