//Setup our namespace 
Ext.ns('App', 'App.stores', 'App.taxRates', 'App.dashboard', 'App.disclaimer', 'App.contact', 'App.partDir', 'App.news', 'App.taxCalc', 'mock', 'App.controllers'); 

// We need to wait for the deviceready event before loading stores - autoLoad:true doesn't work on device 
function loadStores(){
  // load stores here -
  for (store in App.stores){
    if (App.stores.hasOwnProperty(store)){
      try {
        App.stores[store].load();
      }
      catch(err) {
        console.log("Error loading store " + store + " :: " + err);
      }
    }
  }
}

$fh.ready( {}, 
    function () {
      // When app comes to forescreen on iOS, reload all stores from server
      document.addEventListener("resume", loadStores, false);
});


/*init: function (callback) {

$fh.data(
      {
        'act' : 'read',
        'key' : 'i18n'
      },
      function(res) {
        if( res.val != null ) {
          data = res.val;
          complete(callback);
        }
        else {
          data = i18n_initial;
          complete(callback);
        }
      },
      function(err) {
        data = i18n_initial;
        complete(callback);
      });
  },
  
  complete : function(callback) {
    setTimeout(doUpdate, 100);
    callback();    
  },
  
  doUpdate: function() {
    $fh.data(
        {
          'act' : 'read',
          'key' : 'i18n_hash'
        },
        function(res) {
          var dataHash = res.hash
          $fh.act(
            {
              'act' : 'i18nUpdate',
              'params' : {
                'hash' : dataHash
              }
            },
            function(res) {
              if( res && res.data ) {
                $fh.data(
                {
                  'act' : 'save',
                  'key' : 'i18n',
                  'value' : JSON.stringify(res.data) 
                });          
              }
              
              if( res && res.hash ) {
                $fh.data(
                {
                  'act' : 'save',
                  'key' : 'i18n_hash',
                  'value' : JSON.stringify(res.hash) 
                });          
              }
            });
        });
  } */