var mock_getHomeScreen = function () {
        return {
            "records": [{
                "items": [{
    defaults: 
                {
                    xtype: 'button',
                    cls: 'dashboardBtn',
                    iconAlign:'top'
                },
    items: 
    [
            {
                text: '<h1 class="pageTitle">Whats New</h1>',
                icon: 'images/chat_black1.png',
                handler: function(){
                    App.container.setActiveItem(new App.news());
                }
            },
            {
                type: 'spacer'
            },
            {
                text: '<h1 class="pageTitle">Tax Rates</h1>', 
                icon: 'images/chart1.png',
                handler: function(){
                    App.container.setActiveItem(new App.taxRates());
                }
            },
            {
                type: 'spacer'
            },
            {
                text: '<h1 class="pageTitle">Locations</h1>', 
                icon: 'images/globe2.png',
                handler: function(){
                    App.container.setActiveItem(new App.contactUs());
                }
            }
    ]
}]
        },
        {
         "items": [{
    defaults: 
                {
                    xtype: 'button',
                    cls: 'dashboardBtn',
                    iconAlign:'top'
                },
    items:
    [
            {
                text: '<h1 class="pageTitle">Meet Our Partners</h1>', 
                icon: 'images/user_list.png',
                handler: function(){
                   
                    App.container.setActiveItem(new App.partDir());
                }
            },
            {
                type: 'spacer'
            },
             {
                text: '<h1 class="pageTitle">Calculate Your Tax</h1>',
                icon: 'images/spaces2.png',
                handler: function(){
                  store_taxCalc.load({
                    source:"remote",
                    act:"getTaxCalcBasic",
                    callback : function(records, operation, success){

                      if(!success){
                        /// do default config
                        return;
                      }
                      App.container.setActiveItem(new App.taxCalc({'results':records}));

                    } 
                    }); 
              }
            },
            {
                type: 'spacer'
            },
            {
                text: '<h1 class="pageTitle">About Us</h1>', 
                icon: 'images/info_plain2.png',
                handler: function(){
                App.container.setActiveItem(new App.disclaimer());
                }
            }]
        }]   
        }]
    };
};

var mock_gethomeScreenHidden = function () {
        return {
            "records": [{
                "items": [{
    defaults: 
                {
                    xtype: 'button',
                    cls: 'dashboardBtn',
                    iconAlign:'top'
                },
    items: 
    [
            {
                text: '<h1 class="pageTitle">Whats New</h1>',
                icon: 'images/chat_black1.png',
                handler: function(){
                    App.container.setActiveItem(new App.news());
                }
            },
            {
                type: 'spacer',
                disabled: true
            },
            {
                text: '<h1 class="pageTitle">Tax Rates</h1>', 
                icon: 'images/chart1.png',
                handler: function(){
                    App.container.setActiveItem(new App.taxRates());
                }
            },
            {
                type: 'spacer',
                disabled: true
            },
            {
                text: '<h1 class="pageTitle">About Us</h1>', 
                icon: 'images/info_plain2.png',
                handler: function(){
                App.container.setActiveItem(new App.disclaimer());
                }
            }]
}]
        },
        {
         "items": [{
    defaults: 
                {
                    xtype: 'button',
                    cls: 'dashboardBtn',
                    iconAlign:'top'
                },
    items:
    [
            {
                text: '<h1 class="pageTitle">Meet Our Partners</h1>', 
                icon: 'images/user_list.png',
                handler: function(){
                   
                    App.container.setActiveItem(new App.partDir());
                }
            },
            {
                type: 'spacer',
                disabled: true
            },
             {
                text: '<h1 class="pageTitle">Locations</h1>', 
                icon: 'images/globe2.png',
                handler: function(){
                    App.container.setActiveItem(new App.contactUs());
                }
            },
            {
                type: 'spacer',
                height: 103,
                disabled: true
            }]
        }]   
        }]
    };
};


var mock_getTaxCalcAdvance = function () {
        return {
            "records": [{
                "items": [{
                    xtype: 'fieldset',
                    title: 'Other sources of income',
                    cls: 'calcText',
                    id: 'calcAdvanced',
                    defaults: {
                        xtype: 'textfield',
                        labelAlign: 'top',
                        labelWidth: '100%'
                    },
                    items: [
                    {
                        xtype: 'numberfield',
                        name: 'pensions',
                        label: 'Pensions'
                    }, {
                        xtype: 'numberfield',
                        name: 'investments',
                        label: 'Investment income'
                    }, {
                        xtype: 'numberfield',
                        name: 'otherincome',
                        label: 'Other sources of earned income'
                    }, {
                        xtype: 'fieldset',
                        title: 'Benefits-in-kind',
                        defaults: {
                            xtype: 'textfield',
                            labelAlign: 'top',
                            labelWidth: '100%'
                        },
                        items: [{
                            xtype: 'numberfield',
                            title: 'Company car',
                            name: 'companycarvalue',
                            label: 'If you have a company car, what is its original market value (OMV)?'
                        }, {
                            xtype: 'selectfield',
                            name: 'mileage',
                            label: 'Business kilometres',
                            width: '50%',
                            options: mappings['mileage']
                        }, {
                            xtype: 'numberfield',
                            name: 'healthbik',
                            label: 'Gross medical insurance premium'
                        }, {
                            xtype: 'numberfield',
                            name: 'clubsbik',
                            label: 'Clubs and subs payable'
                        }, {
                            xtype: 'numberfield',
                            name: 'otherbik',
                            label: 'Other'
                        }]
                    },
                    {
                        xtype: 'fieldset',
                        title: 'Preferential Loans',
                        defaults: {
                            xtype: 'textfield',
                            labelAlign: 'top',
                            labelWidth: '100%'
                        },
                        items: [
                        {
                            xtype: 'selectfield',
                            name: 'prefloanmortgage',
                            width: '50%',
                            label: '1. Is this loan in respect of the purchase or repair of your principal private residence?',
                            options: mappings['prefloanmortgage']
                        },
                        {
                            xtype: 'numberfield',
                            name: 'loaninterestpaid',
                            label: '2. Annual Interest actually payable on your loan?'
                        },
                        {
                            xtype: 'numberfield',
                            name: 'loaninterestrate',
                            label: '3. Rate of Interest charged by your employer (%)?'
                        }]
                    }]
                }]
            }]
        }
    };




var mock_getTaxCalcBasic = function () {
          return {
            "records": [{
                "id": 'calcBasic',
                "items": [{
                    xtype: 'fieldset',
                    title: 'Calculate your tax',
                    cls: 'calcText',
                    id: 'calcBasic',
                    defaults:{
                        xtype:'textfield',
                        labelAlign:'top',
                        labelWidth: '100%'
                    },
                    items: [
                    {
                        xtype: 'panel',
                        html: '<p class="taxAssumptions">Please note results are approximate. Due to the complexity of the tax and PRSI rules results are based on a number of <a href="javascript:App.container.setActiveItem(new App.taxAssumptions);">tax assumptions.</a></p>'

                    },{
                        id: 'gross',
                        xtype: 'numberfield',
                        cls: 'calcForm',
                        name: 'grosssalary',
                        label: 'Current annual gross salary'
                    }, {
                        id: 'pension1',
                        xtype: 'numberfield',
                        name: 'salary2',
                        label: 'Annual allowable pension contribution'
                    }, 
                    {
                        xtype: 'numberfield',
                        name: 'age',
                        label: 'Age attained during 2011'
                    }, {
                         id: 'pension2',
                        xtype: 'numberfield',
                        name: 'salary3',
                        label: 'Annual pension levy'
                    }, {
                         id: 'net',
                        xtype: 'numberfield',
                        name: 'netsalary',
                        label: 'Annual net salary'
                    }, {
                        xtype: 'selectfield',
                        name: 'status',
                        labelWidth: '80%',
                        label: 'What is your status?',
                        options: mappings['status']
                    }, {
                        xtype: 'selectfield',
                        name: 'prsicategory',
                        label: 'What is your PRSI category?',
                        options: mappings['prsicategory']
                    }, {
                        xtype: 'fieldset',
                        title: 'Are you entitled to any of the following tax credits?',
                        defaults: {
                            xtype: 'checkboxfield',
                            labelAlign: 'left',
                            labelWidth: '80%'
                        },
                        items: [{
                            name: 'homecarer',
                            label: 'Home carer tax credit (for married couple)'
                        }, {
                            name: 'blind',
                            label: "Blind person's tax credit"
                        }, {
                            name: 'dependantallowance',
                            label: 'Dependant relative tax credit'
                        }, {
                            name: 'childallowance',
                            label: 'Incapacitated child tax credit'
                        }]
                    }]
                }]
            }]
        };
    };