Ext.regModel('feedPartDir', {
  fields:[{name:'guid', type:'string'},{name:'fname', type:'string'},{name:'lname', type:'string'},{name:'speciliaty', type:'string'},{name:'description', type:'string'},{name:'tel', type:'string'},{name:'email', type:'string'},{name:'image', type:'string'} ],
  proxy: {
      type:'fhact',
      id: 'getPartDir',
      source: 'localremote',
    // we return an object with a hash and 'records', so let's tell the reader where to get it's data
    reader:{
      type: 'json',
      root: 'records'   
    }
  }
});

App.stores.feedPartDir = new Ext.data.Store({
 model: 'feedPartDir',
 sorters: [
      {
        property : 'lname',
        direction : 'ASC',
        sorterFn: function(o1, o2) {
          var v1 = this.getRoot(o1)[this.property].toUpperCase(),
            v2 = this.getRoot(o2)[this.property].toUpperCase();
  
          return v1 > v2 ? 1 : (v1 < v2 ? -1 : 0);
        }
      }
 ],  
 getGroupString: function(record){
   return record.get('lname')[0].toUpperCase();
 }
});
