

App.dashboardPort = Ext.extend(Ext.Panel, {
 layout:'vbox',
  initComponent: function () {
    var footer= App.stores.homeFooter.getAt(0);
    console.log("App.stores.homeFooter:");
    console.log(App.stores.homeFooter);
    console.log("App.stores.homeFooter.getAt(0);");
    console.log(App.stores.homeFooter.getAt(0));
    console.log("footer");
    console.log(footer);

    this.id = 'homepageP';

    var loadMask = new Ext.LoadMask(Ext.getBody(), {msg: "Loading..."});

    this.dockedItems = [{
      xtype: 'toolbar',
      cls: 'mainToolbar',
      dock: 'top',
      title: 'PwC Ireland'
    }, {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
      layout: {
        type: 'hbox',
        align: 'top'
      },
      items: [{
        xtype: 'spacer',
        disabled: true
      }, {
        xtype: 'panel',
        width: 62,
        items: [{
          html: '<img class="pwcLogo" src="images/logo_small.png"/>'
        }]
      }, {
        xtype: 'spacer',
        disabled: true
      }]
    }, {
      xtype: 'toolbar',
      cls: 'secondaryToolbar',
      dock: 'bottom',
      title: ''+footer.data.title+' <img class="footerArrow" src="images/foorter_arrow.png"/>',
      listeners: {
        render: function (toolbar) {
          toolbar.el.addListener('tap', function () {
            $fh.webview({
              'url': ''+footer.data.URL+''
            });
          }, toolbar);
        }
      }
    }];

    this.layout = {
      type: 'hbox',
      //align:'center',
         pack:'center'
    };
    var dashLeftPanel = [{
      defaults: {
        xtype: 'button',
        cls: 'dashboardBtn',
        iconAlign: 'top'
      },
      items: [{
        text: "What's New",
        icon: 'images/Whats_New.png',
        handler: function () {
          App.container.setActiveItem(new App.news());
        }
      }, {
        type: 'spacer',
        disabled: true
      }, {
        text: 'Tax Rates',
        icon: 'images/chart1.png',
        handler: function () {
          App.container.setActiveItem(new App.taxRates());
        }
      }, {
        type: 'spacer',
        disabled: true
      }, {
        text: 'Locations',
        icon: 'images/Locations.png',
        handler: function () {
          App.container.setActiveItem(new App.contactUs());
        }
      }]

    }];

    var dashRightPanel = [{
      defaults: {
        xtype: 'button',
        cls: 'dashboardBtn',
        iconAlign: 'top'
        
      },
      items: [{
        text: 'Meet Our Partners',
        icon: 'images/Partners.png',
        handler: function () {
          App.container.setActiveItem(new App.partDir());
        }
      }, {
        type: 'spacer',
        disabled: true
      }, {
        text: 'Calculate Your Tax',
        icon: 'images/Tax_Calculater.png',
        handler: function () {

          if( calcScreen1Data === null) {

          //if (typeof App.taxCalc1 === 'undefined'){
            store_taxCalc.load({
              source: "remote",
              act: "getTaxCalcBasic",
              callback: function (records, operation, success) {
                calcScreen1Data = records;

                App.taxCalc1 = new App.taxCalc({
                  'results': calcScreen1Data

                });

                App.container.setActiveItem(App.taxCalc1);
              }

              });
            }

          else {
            App.taxCalc1 = new App.taxCalc({
                  'results': calcScreen1Data

            });

            App.container.setActiveItem(App.taxCalc1);
          }

              if( calcScreen2Data === null) {
              //if (typeof App.taxCalc2 === 'undefined'){


                store_taxCalc.load({
                    source:"remote",
                    append : true,
                    act:"getTaxCalcAdvance",
                    callback : function(records, operation, success){
                      if(!success){
                        /// do default config
                        return;
                      }
                      calcScreen2Data = records;


                      App.taxCalc2 = new App.taxCalcMore({
                        'results': calcScreen2Data
                      });


                      App.container.setActiveItem(App.taxCalc2);
                      App.container.setActiveItem(App.taxCalc1);
                                            
                    }
                
                    });


              }
              else {
                App.taxCalc2 = new App.taxCalcMore({
                  'results': calcScreen2Data
                });

                App.container.setActiveItem(App.taxCalc2);
                App.container.setActiveItem(App.taxCalc1);
              }

        }
      }, {
        type: 'spacer',
        disabled: true
      }, {
        text: 'About Us',
        icon: 'images/About_Us.png',
        handler: function () {
          App.container.setActiveItem(new App.disclaimer());
        }
      }]
    }];


    var dashLeftPanelHide = [{
    
      defaults: {
        xtype: 'button',
        cls: 'dashboardBtn',
        iconAlign: 'top'
      },
      items: [{
        text: "What's New",
        icon: 'images/Whats_New.png',
        handler: function () {
          App.container.setActiveItem(new App.news());
        }
      }, {
        type: 'spacer',
        disabled: true
      }, {
        text: 'Tax Rates',
        icon: 'images/chart1.png',
        handler: function () {
          App.container.setActiveItem(new App.taxRates());
        }
      }, {
        type: 'spacer',
        disabled: true
      }, {
        text: 'About Us',
        icon: 'images/About_Us.png',
        handler: function () {
          App.container.setActiveItem(new App.disclaimer());
        }
      }]
    }]

    var dashRightPanelHide = [{
      defaults: {
        xtype: 'button',
        cls: 'dashboardBtn',
        iconAlign: 'top'
      },
      items: [{
        text: 'Meet Our Partners',
        icon: 'images/Partners.png',
        handler: function () {

    	    
          App.container.setActiveItem(new App.partDir());
        }
      }, {
        type: 'spacer',
        disabled: true
      }, {
        text: 'Locations',
        icon: 'images/Locations.png',
        handler: function () {
          App.container.setActiveItem(new App.contactUs());
        }
      }, {
        type: 'spacer',
        height: 102,
        disabled: true
      }]
    }];

    if (hideCalc.length == 0) {
      this.items = [dashLeftPanel, dashRightPanel];
    }
    else {
      this.items = [dashLeftPanelHide, dashRightPanelHide];
    }

    App.dashboardPort.superclass.initComponent.call(this);
  }
});
