
App.newsDetails = Ext.extend(Ext.Panel,{
    scroll: 'vertical',
    height: '100%',
    initComponent : function(){
    var me = this;;
    this.dockedItems = 
    [{
          xtype: 'toolbar',
          cls: 'mainToolbar',
          dock: 'top',
          title: "What's New",
          items:
            [{
              text: 'Back',
              ui: 'back',
                 handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                     callback: function(){
                      me.destroy(); 
                    }
                    });  
                }
              },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
    {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
      layout:{
         type:'hbox',
         align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];     

      var record = App.stores.feedNews.getAt(this.i);
      console.log(record.data.fields);
      var image = record.data.fields.imageLinks.imageLink;

      var body =[{
              xtype:'panel',
              height: '88%',
              html:'</div><h1 class="heading">'+record.data.fields.title+'</h1><br />' + (typeof image === "string" ? "<img class=\"newsImage\" src=" + image + ">" : "") + '<div class="bodyTextParaSpacing">'+record.data.fields.description+'<br/><p>Click here for full summary <a href="'+record.data.fields.link+'"><img src="images/pdf_icon.gif"></a></p><br/></div></div>'
        }]
    
      this.items = [body,disclaimerNorm];
      App.newsDetails.superclass.initComponent.call(this);


    }

});


App.news = Ext.extend(Ext.Panel,{
    height: '100%',
    layout: 'fit',
    initComponent : function(){
	
  
    var me = this;
    var loadMask = new Ext.LoadMask(Ext.getBody(), {msg: "Loading..."});

    this.dockedItems = 
    [{
          xtype: 'toolbar',
          cls: 'mainToolbar',
          dock: 'top',
          title: "What's New",
          items:
            [{
              xtype: 'button',
              text: 'Back',
              ui: 'back',
              handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                     callback: function(){
                      me.destroy(); 
                    }
                    });  
                }
              },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];
    var list = [{
    xtype: 'list',
    scroll: false,
    cls: 'listText',
    store: App.stores.feedNews,
    onItemDisclosure: true,
    disableSelection: true,
    listeners: {
        itemtap: function (p, i) {
            App.container.setActiveItem(new App.newsDetails({
                'i': i
            }))
        }
    },
    itemTpl: '{fields.title}'

}]

      
      this.items = [{
        layout: 'fit',
        items: [
          { 
            scroll: 'vertical',
            items: 
              [
               list, disclaimerList
               ]
          }
        ]
      }];
            App.news.superclass.initComponent.call(this);
        }
});



  