App.partDirDetails = Ext.extend(Ext.Panel, {
  height: '100%',
  scroll: 'vertical',
  initComponent: function () {
    var me = this;
    this.dockedItems = [{
      xtype: 'toolbar',
      dock: 'top',
      cls: 'mainToolbar',
      title: 'Meet Our Partners',
      items: [{
        xtype: 'button',
         text: 'Back',
              ui: 'back',
        handler: function (c) {
          var scope = App.container;
          App.controllers.back.performBack({
            'scope': scope,
            'me': me,
            callback: function () {
              me.destroy();
            }
          });
        }
      }, {
        xtype: 'spacer'
      }, {
        xtype: 'button',
        cls: 'toolbarIcon',
        icon: 'images/btn_home.png',
        handler: function () {
          var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });
        }
      }]
    }, {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
      layout: {
        type: 'hbox',
        align: 'top'
      },
      items: [{
        xtype: 'spacer'
      }, {
        xtype: 'panel',
        width: 62,
        html: '<img class="pwcLogo" src="images/logo_small.png"/>'
      }, {
        xtype: 'spacer'
      }]
    }, {
      html: '<div class="horizontal_dotted_line"></div>'
    }];

    var record = App.stores.feedPartDir.getAt(this.i);


      var body =[{
        xtype:'panel',
        html:'<p class="heading">'+record.data.fname+' '+record.data.lname+'</p><p class="subHeading2">'+record.data.speciliaty+'</p><p class="bodyTextLeft"><b class="subHeading3">Tel: </b><a href="tel:'+record.data.tel+'">'+record.data.tel+'</a><br /><b class="subHeading3">Email:</b> <a href="mailto:'+record.data.email+'">'+record.data.email+'</a></p><br/><span class="partnerImage" style="width:120px; height:150px;"><img style="max-height: 148px; max-width: 118px" src='+record.data.image+'></span><br /><div class="bodyTextPart">'+record.data.description+'</div>'
      }]

  
    this.items = [body, disclaimerNorm];

    App.partDirDetails.superclass.initComponent.call(this);
  }

});


App.partDir = Ext.extend(Ext.Panel, {
  layout: 'fit',
  id: 'partList',
  initComponent: function () {

    var me = this;
    this.dockedItems = [{
      xtype: 'toolbar',
      dock: 'top',
      cls: 'mainToolbar',
      title: 'Meet Our Partners',
      /*listeners: {
        'render': function (toolbar) {
          toolbar.el.addListener('touchstart', function () {
            var list = Ext.getCmp('partnerList');
            if (list) {
              list.scroller.scrollTo({
                x: 0,
                y: 0
              });
            }
          }, toolbar);
        }
      },*/
      items: [{
        xtype: 'button',
         text: 'Back',
              ui: 'back',
        handler: function (c) {
          App.container.getActiveItem().destroy();
          var scope = App.container;
          App.controllers.back.performBack({
            'scope': scope,
            'me': me,
            callback: function () {
              me.destroy();
            }
          });
        }
      }, {
        xtype: 'spacer'
      }, {
        xtype: 'button',
        cls: 'toolbarIcon',
        icon: 'images/btn_home.png',
        handler: function () {
           var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  

        }
      }]
    }, {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
      layout: {
        type: 'hbox',
        align: 'top'
      },
      items: [{
        xtype: 'spacer'
      }, {
        xtype: 'panel',
        width: 62,
        html: '<img class="pwcLogo" src="images/logo_small.png"/>'
      }, {
        xtype: 'spacer'
      }]
    }, {
      html: '<div class="horizontal_dotted_line"></div>'
    }];
    var list = [{
      id: 'partnerList',
      xtype: 'list',
      cls: 'listText',
      scroll: true,
      grouped: true,
      indexBar: true,
      disableSelection: true,
      store: App.stores.feedPartDir,
      onItemDisclosure: true,
      listeners: {
        itemtap: function (p, i) {
          App.container.setActiveItem(new App.partDirDetails({
            'i': i
          }))
        },
        afterRender: function(c){
          var targetEl = c.getTargetEl(),
              bottomEl = targetEl.createChild(disclaimerList[0]);
              
        }
      },
      itemTpl: '{fname} {lname}<br/> <p class="subHeading">{speciliaty}</p>'

    }];

      this.items = [list];

    App.partDir.superclass.initComponent.call(this);



  }

});
