var mock_getTaxRates = function() {
return {
            "records": [{
        guid: 1,
        title: "Corporation tax rates",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" class="borderSolid"><strong class="tableHeading">Corporation tax rates</strong></td></tr><tr><td class="borderDashed"><p>Trading income(including qualifying foreign dividends paid out of trading profits)</p></td><td class="borderDashed"><p>12.5%</p></td><td class="borderDashed"><p class="tableBodyColor">12.5%</p></td></tr><tr><td class="borderDashed"><p>All other income(including non qualifying foreign dividends)</p></td><td class="borderDashed"><p>25%</p></td><td class="borderDashed"><p class="tableBodyColor">25%</p></td></tr><tr><td class="borderDashed"><p>Deposit interest retention tax(DIRT)</p></td><td class="borderDashed"><p>27%</p></td><td class="borderDashed"><p class="tableBodyColor">27%</p></td></tr><tr><td class="borderDashed"><p>Dividends from Irish resident companies</p></td><td class="borderDashed"><p>Exempt</p></td><td class="borderDashed"><p class="tableBodyColor">Exempt</p></td></tr><tr><td class="borderDashed"><p>R&D Tax Credit</p></td><td class="borderDashed"><p>25%</p></td><td class="borderDashed"><p class="tableBodyColor">25%</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    }, {
        guid: 2,
        title: "Capital gains tax rates",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" class="borderSolid"><strong class="tableHeading">Capital gains tax rates</strong></td></tr><tr><td class="borderDashed"><p>Chargeable gains</p></td><td class="borderDashed"><p>25%</p></td><td class="borderDashed"><p class="tableBodyColor">25%</p></td></tr><tr><td class="borderDashed"><p>Gains from disposals of qualifying subsidiaries</p></td><td class="borderDashed"><p>Exempt</p></td><td class="borderDashed"><p class="tableBodyColor">Exempt</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    }, {
        guid: 3,
        title: "Income tax rates",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" class="borderSolid"><strong class="tableHeading">Income tax rates</strong></td></tr><tr><td class="borderDashed"><p>Standard</p></td><td class="borderDashed"><p>20%</p></td><td class="borderDashed"><p class="tableBodyColor">20%</p></td></tr><tr><td class="borderDashed"><p>Higher</p></td><td class="borderDashed"><p>41%</p></td><td class="borderDashed"><p class="tableBodyColor">41%</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    }, {
        guid: 4,
        title: "Income tax bands",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr><tr><td><strong class="tableHeading">Income tax bands</strong></td><td class="tableHeadingCenter"><strong>&euro;</strong></td><td class="tableHeadingCenter"><strong>&euro;</strong></td></tr><tr><td class="borderDashed"><p><i>Income @ 20%<i></p></td><td class="borderDashed"><p></p></td><td class="borderDashed"><p class="tableBodyColor"></p></td></tr><tr><td class="borderDashed"><p>Single/Widowed(no dependent children)</p></td><td class="borderDashed"><p>32,800</p></td><td class="borderDashed"><p class="tableBodyColor">32,800</p></td></tr><tr><td class="borderDashed"><p>Single/Widowed(dependent children)</p></td><td class="borderDashed"><p>36,800</p></td><td class="borderDashed"><p class="tableBodyColor">36,800</p></td></tr><tr><td class="borderDashed"><p>Married Couple(one income)</p></td><td class="borderDashed"><p>41,800</p></td><td class="borderDashed"><p class="tableBodyColor">41,800</p></td></tr><tr><td class="borderDashed"><p>Married Couple(two incomes)</p></td><td class="borderDashed"><p>65,600</p></td><td class="borderDashed"><p class="tableBodyColor">65,600</p></td></tr><tr><td class="borderDashed"><p><i>Balance at 41%</i></p></td><td class="borderDashed"><p></p></td><td class="borderDashed"><p class="tableBodyColor"></p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    },
    {
        guid: 5,
        title: "Income tax credits",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr><tr><td><strong class="tableHeading">Income tax credits</strong></td><td class="tableHeadingCenter"><strong>&euro;</strong></td><td class="tableHeadingCenter"><strong>&euro;</strong></td></tr><tr><td class="borderDashed"><p>Single Person(no dependent children)</p></td><td class="borderDashed"><p>1,650</p></td><td class="borderDashed"><p class="tableBodyColor">1,650</p></td></tr><tr><td class="borderDashed"><p>Single Person(dependent children)</p></td><td class="borderDashed"><p>3,300</p></td><td class="borderDashed"><p class="tableBodyColor">3,300</p></td></tr><tr><td class="borderDashed"><p>Married</p></td><td class="borderDashed"><p>3,300</p></td><td class="borderDashed"><p class="tableBodyColor">3,300</p></td></tr><tr><td class="borderDashed"><p>Employee tax credit</p></td><td class="borderDashed"><p>1,650</p></td><td class="borderDashed"><p class="tableBodyColor">1,650</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    },
    {
        guid: 6,
        title: "PRSI rates",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" class="borderSolid"><strong class="tableHeading">PRSI rates</strong></td></tr><tr><td class="borderDashed"><p><b>Class A1</b> - most employed persons:(&euro;356 per week or more)</p></td><td class="borderDashed"><p></p></td><td class="borderDashed"><p class="tableBodyColor"></p></td></tr><tr><td class="borderDashed"><p>Employer</p></td><td class="borderDashed"><p>10.75%</p></td><td class="borderDashed"><p class="tableBodyColor">10.75%</p></td></tr><tr><td class="borderDashed"><p>Employee</p></td><td class="borderDashed"><p>4%</p></td><td class="borderDashed"><p class="tableBodyColor">4%</p></td></tr><tr><td class="borderDashed"><p><b>Class S1</b> - proprietary and non executive directors,not insurable under Class A</p></td><td class="borderDashed"><p></p></td><td class="borderDashed"><p class="tableBodyColor"></p></td></tr><tr><td class="borderDashed"><p>Employer</p></td><td class="borderDashed"><p>Nil</p></td><td class="borderDashed"><p class="tableBodyColor">Nil</p></td></tr><tr><td class="borderDashed"><p>Employee</p></td><td class="borderDashed"><p>4%</p></td><td class="borderDashed"><p class="tableBodyColor">4%</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    },
     {
        guid: 7,
        title: "Universal Social Charge rates",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" class="borderSolid"><strong class="tableHeading">Universal Social Charge rates</strong></td></tr><tr><td class="borderDashed"><p>Income: Less than &euro;4,004</p></td><td class="borderDashed"><p>0%</p></td><td class="borderDashed"><p class="tableBodyColor">0%</p></td></tr><tr><td class="borderDashed"><p>First &euro;10,036</p></td><td class="borderDashed"><p>2%</p></td><td class="borderDashed"><p class="tableBodyColor">2%</p></td></tr><tr><td class="borderDashed"><p>&euro;10,037 to &euro;16,016</p></td><td class="borderDashed"><p>4%</p></td><td class="borderDashed"><p class="tableBodyColor">4%</p></td></tr><tr><td class="borderDashed"><p>&euro;16,017 to &euro;100,000*</p></td><td class="borderDashed"><p>7%</p></td><td class="borderDashed"><p class="tableBodyColor">7%</p></td></tr><tr><td class="borderDashed"><p>Over &euro;100,000(self-assessed income only)</p></td><td class="borderDashed"><p>10%</p></td><td class="borderDashed"><p class="tableBodyColor">10%</p></td></tr><tr><td class="borderDashed"><p>*Individuals over the age of 70 or in possession of a full medical card will pay the USC at a maximum rate of 4%,irrespective of their level of income</p></td><td class="borderDashed"><p></p></td><td class="borderDashed"><p class="tableBodyColor"></p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    },
     {
        guid: 8,
        title: "Value Added Tax (VAT) Rates",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" class="borderSolid"><strong class="tableHeading">VAT rates</strong></td></tr><tr><td class="borderDashed"><p>Standard rate</p></td><td class="borderDashed"><p>21%</p></td><td class="borderDashed"><p class="tableBodyColor">21%</p></td></tr><tr><td class="borderDashed"><p>Land and buildings(if taxable),building services,heating fuel,electricity,waste disposal services,short term car hire</p></td><td class="borderDashed"><p>13.5%</p></td><td class="borderDashed"><p class="tableBodyColor">13.5%</p></td></tr><tr><td class="borderDashed"><p>Hospitality Rate(hotel/holiday accommodations,restaurants/catering services,entertainment services,newspapers)</p></td><td class="borderDashed"><p>9%</p></td><td class="borderDashed"><p class="tableBodyColor">9%</p></td></tr><tr><td class="borderDashed"><p>Exports</p></td><td class="borderDashed"><p>0%</p></td><td class="borderDashed"><p class="tableBodyColor">0%</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    },
     {
        guid: 9,
        title: "Stamp Duty rates",
        desc: '<table><tr><td colspan="1"></td><td><p class="tableHeading">2011</p></td><td><p class="tableHeading">2012</p></td></tr><tr><td colspan="3" class="borderSolid"><strong class="tableHeading">Stamp Duty rates</strong></td></tr><tr><td class="borderDashed"><p>Transfer/purchase of certain stocks and shares</p></td><td class="borderDashed"><p>1%</p></td><td class="borderDashed"><p class="tableBodyColor">1%</p></td></tr><tr><td class="borderDashed"><p>Transfer/purchase of private residential property:</p></td><td class="borderDashed"><p></p></td><td class="borderDashed"><p class="tableBodyColor"></p></td></tr><tr><td class="borderDashedHidden"><p>Up to &euro;1,000,000</p></td><td class="borderDashedHidden"><p>1%</p></td><td class="borderDashedHidden"><p class="tableBodyColor">1%</p></td></tr><tr><td class="borderDashedHidden"><p>Any excess over &euro;1,000,000</p></td><td class="borderDashedHidden"><p>2%</p></td><td class="borderDashedHidden"><p class="tableBodyColor">2%</p></td></tr><tr><td class="borderDashed"><p>Transfer/purchase of non-residential property(where consideration is over &euro;80,000)</p></td><td class="borderDashed"><p>6%</p></td><td class="borderDashed"><p class="tableBodyColor">6%</p></td></tr><tr><td colspan="3" height="2" class="borderSolid"></td></tr></table>'
    }]
        };
}