Ext.data.FHStore = Ext.extend(Ext.data.Store, {
  
  
      constructor: function(config) {
	
	      config = config || {};
	        
	      Ext.data.FHStore.superclass.constructor.call(this, config);
	      
	      this.addEvents(
	            'exception'
	      );        
      
      },

    /**
     * Synchronizes the Store with its Proxy. This asks the Proxy to batch together any new, updated
     * and deleted records in the store, updating the Store's internal representation of the records
     * as each operation completes.
     */
    sync: function(options) {
          var me        = this,
          options   = options || {},
          toCreate  = me.getNewRecords(),
          toUpdate  = me.getUpdatedRecords(),
          toDestroy = me.getRemovedRecords(),
          needsSync = false;

      //if (toCreate.length > 0 || toUpdate.length > 0 || toDestroy.length > 0) {
      //    needsSync = true;
      //}

      //if (needsSync && me.fireEvent('beforesync', options) !== false) {
         $fh.log( {message:'In "sync", storeId: '+this.storeId} );
         
         options = options || {};

         Ext.applyIf(options, {
             action : 'create',
             records: me.data.items
         });

         operation = new Ext.data.Operation(options);

         this.proxy.create(operation, this.onProxyWrite, this);
    }

  



});