var popupDialog = {};

App.taxCalcDetails = Ext.extend(Ext.Panel,{
  scroll : 'vertical',
  initComponent : function(){
    var me = this;
    var taxCalcResultsDet = this.res;
    var detailedTable =[{
    xtype: 'panel',
    scroll : 'horizontal',
    items:
      [{
       html: '<div class=bodyText>'+taxCalcResultsDet.detailed+'</div>'
      }]
    }]
    //var detailedTableConfig = {};
    //var detailedTableConfig_record = results2.records[0];
    //detailedTableConfig = detailedTableConfig_record.detailed;

    //var disclaimer = App.stores.disclaimer.getAt(0);

      this.dockedItems=[
    {
            xtype: 'toolbar',
            dock: 'top',
            cls: 'mainToolbar',
            title: 'Tax Calculator',
            items:[{
              text: 'Back',
              ui: 'back',
               handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                     callback: function(){
                      me.destroy(); 
                    }
                    });  
                }
            },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];
    
      var headingText = [{html: '<p class="taxAssumptions">Please note results are approximate. Due to the complexity of the tax and PRSI rules results are based on a number of <a href="javascript:App.container.setActiveItem(new App.taxAssumptions);">tax assumptions</a>.</p><p class="heading">Detailed Results</p>'}]      
      
  

      this.items = [headingText,detailedTable,disclaimerNorm]
    
    App.taxCalcDetails.superclass.initComponent.call(this);
  }
  
});

App.taxCalcSum = Ext.extend(Ext.Panel,{
  scroll : 'vertical',

  initComponent : function(){
    var me = this;

    var result = this.res;
    
    var sumTable =[{
      html: result.summary
    }]
    //var summaryTableConfig = {};
    //var summaryTableConfig_record = result.records[0];
    //summaryTableConfig = summaryTableConfig_record.summary;

      this.dockedItems=[
    {
            xtype: 'toolbar',
            dock: 'top',
            cls:'mainToolbar',
            title: 'Tax Calculator',
            items:[{
              text: 'Back',
              ui: 'back',
               handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                     callback: function(){
                      me.destroy(); 
                    }
                    });  
                }
            },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];

    var detailsBTN = [
    {
      xtype: 'toolbar',
      cls: 'hiddenToolbar',
      items:[
      {
        xtype: 'spacer'
      },
      {
        text: 'View Details',
        cls: 'calcBTNsDone',
         handler: function(){
                App.container.setActiveItem(new App.taxCalcDetails({'res':result}));
              }
      },
       {
        xtype: 'spacer'
      }
      ]
    }]
  

    var headingText = [{html: '<p class="taxAssumptions">Please note results are approximate. Due to the complexity of the tax and PRSI rules results are based on a number of <a href="javascript:App.container.setActiveItem(new App.taxAssumptions);">tax assumptions</a>.</p><p class="heading summary">Summary</p>'}]

    this.items =[headingText, sumTable, detailsBTN , disclaimerNorm];

    App.taxCalcSum.superclass.initComponent.call(this);
  }
  
})

App.taxAssumptions = Ext.extend(Ext.Panel,{
  scroll : 'vertical',
  initComponent : function(){
    var me = this;
    var record= App.stores.taxAssumptions.getAt(0);
    this.dockedItems=[
    {
            xtype: 'toolbar',
            cls: 'mainToolbar',
            dock: 'top',
            title: 'Tax Assumptions',
            items:[{
              text: 'Back',
              ui: 'back',
               handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                     callback: function(){
                      me.destroy(); 
                    }
                    });  
                }
            },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                  var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [
        {
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];

    var body =[{
      xtype:'panel',
      html: '<p class="heading">'+record.data.title+'</p><div class="bodyText">'+record.data.body+'</div>'
    }]

    this.items= [body,disclaimerNorm]

    App.taxAssumptions.superclass.initComponent.call(this);
  }

});


App.taxCalcMore = Ext.extend(Ext.Panel,{
   scroll : 'vertical',
   //id: "calcAdvanced",
    initComponent : function(){
    var me = this;

    var panelConfigAdvanced = {};
    var panelConfigAdvanced_record = this.results[0];
    panelConfigAdvanced = panelConfigAdvanced_record.data;

    this.dockedItems=[
    {
            xtype: 'toolbar',
            dock: 'top',
            cls: 'mainToolbar',
            title: 'Calculate Your Tax',
            items:[{
              text: 'Back',
              ui: 'back',
               handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'card' : App.taxCalc1
                    });  
                }
            },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];
      
      var detailsBTNAdvanced = [{
        xtype: 'toolbar',
        cls: 'hiddenToolbar',
        items:
        [{
          xtype: 'spacer'
        },
        {
        text: 'Calculate Tax',
        cls: 'calcBTNsDone',
        ui: 'confirm',
         handler: function(){
          var id ="calcAdvanced";
                App.controllers.taxCalc.doneBtn(id, function(res){
                  
                 if(res.errors){
                    popupDialog.popup = new App.validationErrPop({'validationRes':res});
                    popupDialog.popup.show();

                  }else{
                  App.container.setActiveItem(new App.taxCalcSum({'res':res}));
                  }  
                });
              }
      },
      {
          xtype: 'spacer'
      }]
    }];
    var header = 
    [{
        xtype: 'panel',
        html: '<p class="taxAssumptions">Please note results are approximate. Due to the complexity of the tax and PRSI rules results are based on a number of <a href="javascript:App.container.setActiveItem(new App.taxAssumptions);">tax assumptions</a>.</p>' 
    }]
      
    this.items = [header, panelConfigAdvanced,detailsBTNAdvanced,disclaimerNorm];

       App.taxCalcMore.superclass.initComponent.call(this);
    }
});

App.taxCalc = Ext.extend(Ext.Panel,{
    scroll : 'vertical',
//Gross - This value should update in Net
//pension1 - This should s

//Net- 

addListenersToFields : function(){

var me = this;

var c = Ext.getCmp('fp1');

var fields = c.getFields();
        for (name in fields) {
          if (fields.hasOwnProperty(name)) {
            var field = fields[name];

              field.addListener('blur',function(c){


              var f1 = Ext.getCmp('gross');

              var f2 = Ext.getCmp('pension1');

              var f3 = Ext.getCmp('pension2');

              var f4 = Ext.getCmp('net');

              //....//

              f4.setValue(f1.getValue() - f2.getValue() - f3.getValue())

              
              //.//


              }); //end listener

          }//if
        }//for
      },

    initComponent : function(){
    var me = this;

      var panelConfigBasic = {};
      var panelConfigBasic_record = this.results[0];
      panelConfigBasic = panelConfigBasic_record.data;


    this.dockedItems = [{
            xtype: 'toolbar',
            cls: 'mainToolbar',
            dock: 'top',
            title: 'Calculate Your Tax',
            items:[{
              text: 'Back',
              ui: 'back',
              handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me
                    });  
                }
            },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];

    var detailsBTNBasic = 
    [{
        xtype: 'toolbar',
        cls: 'hiddenToolbar',
        items:
        [{
          xtype: 'spacer'
        },
        {
        text: 'Other Income',
         cls: 'calcBTNsAdvanced',
        ui: 'next',
        handler: function(){
          Ext.dispatch({
            controller :  App.controllers.taxCalc,
            action : 'advancedBtn'
          });

              }

      },
      {
        text: 'Calculate Tax',
         cls: 'calcBTNsDone',
        ui: 'confirm',
        handler: function(){
          var id = "calcBasic";
                App.controllers.taxCalc.doneBtn(id, function(res){
                  
                 if(res.errors){
                    popupDialog.popup = new App.validationErrPop({'validationRes':res});
                    popupDialog.popup.show();

                  }else{
                  App.container.setActiveItem(new App.taxCalcSum({'res':res}));
                  }  
                });
              }
      },
      {
          xtype: 'spacer'
      }]
    }]

    var fp = {
      id:'fp1',
      xtype : 'formpanel',
      items : [panelConfigBasic]
    };
      
    this.items = [fp,detailsBTNBasic,disclaimerNorm];
  
  App.taxCalc.superclass.initComponent.call(this);

  this.addListenersToFields();
}

})