App.taxRatesDetails = Ext.extend(Ext.Panel,{
    height: '100%',
    scroll : 'vertical',
    initComponent : function(){
    var me = this;
    var record = App.stores.taxRates.getAt(this.i);
    this.dockedItems=
    [{
          xtype: 'toolbar',
          cls: 'mainToolbar',
          dock: 'top',
          title: 'Tax Rates',
          items:
            [{
              xtype: 'button',
              text: 'Back',
              ui: 'back',
               handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                     callback: function(){
                      c.destroy(); 
                    }
                    });  
                }
              },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];

     var body =[{
        xtype: 'panel',
        height: '88%',
        html:'</div><p class="heading">'+record.data.title+'</p><div class="bodyTextTable">'+record.data.desc+'</div>'
      }]

    
      this.items =[body, disclaimerNorm] 
            
      App.taxRatesDetails.superclass.initComponent.call(this);


    }

});

App.taxRates  = Ext.extend(Ext.Panel,{
    height: '100%',
    layout: 'fit',
    initComponent : function(){

    var me = this;
    this.dockedItems = [{
          xtype: 'toolbar',
          cls: 'mainToolbar',
          dock: 'top',
          title: 'Tax Rates',
          items:
            [{
              xtype: 'button',
              text: 'Back',
              ui: 'back',
               handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                     callback: function(){
                      c.destroy(); 
                    }
                    });  
                }
              },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];
    
    var list= [{
              xtype: 'list',
              scroll: false,
              cls: 'listText',
              disableSelection: true,
              store: App.stores.taxRates,
              onItemDisclosure: true,
              listeners: {
                itemtap : function(p, i){
                  App.container.setActiveItem(new App.taxRatesDetails({'i' : i}) )
                }
              },
              itemTpl: '{title}'
              
          }]
          

       
      this.items = [{
        layout: 'fit',
        items: [
          { 
            scroll: 'vertical', 
            items: 
              [
               list, disclaimerList
               ]
          }
        ]
      }];
          App.taxRates.superclass.initComponent.call(this);

        }   
});



  