function mapField(text, type) {
	var map = mappings[type];
	var ret = null;

	if( typeof(map) !== 'undefined' && map.length > 0)  {
		for(var i = 0; i < map.length; i++) {
			var mapElement = map[i];
			if( mapElement.text === text ) {
				ret = mapElement.value;
				break;
			}
		}
	}

	if( ret === null) {
		ret = text;
	}
	
	return ret;
}

function getMappings(type) {
    var ret = JSON.parse(JSON.stringify(mappings[type]));
    return ret;
}

var mappings = {
    status : [
       {
            text: 'Single',
            value: "1"
        }, {
            text: 'Widowed',
            value: "4"
        }, {
            text: 'Married(one spouse working)',
            value: "2"
        }, {
            text: 'Lone parent (single/widowed)',
            value: "5"
        }, {
            text: 'Married (both working)',
            value: "3"
        }
    ],

    age : [
        {
            text: 'Please select..'
        }, {
            text: 'Less than 30',
            value: "15"
        }, {
            text: '30 but less than 40',
            value: "20"

        }, {
            text: '40 but less than 50',
            value: "25"
        }, {
            text: '50 but less than 55',
            value: "30"
        }, {
            text: '55 but less than 60',
            value: "35"
        }, {
            text: ' 60 and over',
            value: "40"
        }
    ],
    prsicategory:[
        {
            text: 'Full rate employed contributor',
            value: "1"
        }, {
            text: 'Reduced rate employed contributor',
            value: "2"
        }
    ],
    mileage:[
        {
            text: 'Please select..',
            value: "0"
        },
        {
            text: '0 - 24,000',
            value: "1"
        }, {
            text: '24,001 - 32,000',
            value: "2"
        }, {
            text: '32,001 - 40,000',
            value: "3"
        }, {
            text: '40,001 - 48,000',
            value: "4"
        }, {
            text: '48,001 plus',
            value: "5"
        }
    ],

    prefloanmortgage:[
        {
            text: 'No',
            value: 'N'
        },
        {
            text: 'Yes',
            value: 'Y'
        }
    ]
}